org.apache.uima.resource

## Interface PearSpecifier

- All Superinterfaces:
    Cloneable, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, Serializable, XMLizable

      public interface PearSpecifier
      extends ResourceServiceSpecifier

  A type of `ResourceSpecifier` that locate an installed pear `Resource`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter[]` | `getParameters()` Gets parameters that may be read by the pear resource class when it is initialized.
    `String` | `getPearPath()` Retrieves the PEAR path at which the pear Resource is located.
    `void` | `setParameters(Parameter[] parameters)` Sets parameters that may be read by the pear resource class when it is initialized.
    `void` | `setPearPath(String aPearPath)` Sets the PEAR path at which a Resource is located.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getPearPath

          String getPearPath()

      Retrieves the PEAR path at which the pear Resource is located.
      Returns:
        a string

    - #### setPearPath

          void setPearPath(String aPearPath)

      Sets the PEAR path at which a Resource is located.
      Parameters:
        `aPearPath` - a pear path string

    - #### getParameters

          Parameter[] getParameters()

      Gets parameters that may be read by the pear resource class when it is initialized.
      Returns:
        an array of parameters. This will never return `null`.

    - #### setParameters

          void setParameters(Parameter[] parameters)

      Sets parameters that may be read by the pear resource class when it is initialized.
      Parameters:
        `parameters` - the Parameters to set.

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.